<?php

namespace Pinpoint\TopLevelCategory\Helper;

class Category extends \Magento\Framework\App\Helper\AbstractHelper
{
    protected $storeManager;

    public function __construct(\Magento\Store\Model\StoreManagerInterface $storeManager)
    {
        $this->storeManager = $storeManager;
    }


    public function getImageUrl($category, $attributeCode = 'image')
    {
        $url = false;
        $image = $category->getData($attributeCode);
        if ($image) {
            if (is_string($image)) {
                $url = $this->storeManager->getStore()->getBaseUrl(
                        \Magento\Framework\UrlInterface::URL_TYPE_MEDIA
                    ) . 'catalog/category/' . $image;
            } else {
                throw new \Magento\Framework\Exception\LocalizedException(
                    __('Something went wrong while getting the image url.')
                );
            }
        }
        return $url;
    }
}